# Enum LogEntry.Type

java.lang.Object
java.lang.Enum<LogEntry.Type>
org.apache.zookeeper.graph.LogEntry.Type

All Implemented Interfaces:
  `Serializable, Comparable<LogEntry.Type>`

Enclosing class:
  `LogEntry`

public static enum LogEntry.Type extends Enum<LogEntry.Type>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LOG4J`
`TXN`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static LogEntry.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LogEntry.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final LogEntry.Type UNKNOWN

### LOG4J

public static final LogEntry.Type LOG4J

### TXN

public static final LogEntry.Type TXN

## Method Details

### values

public static LogEntry.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static LogEntry.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null